## mmagnetic 2.3-3

=== src/Makefile ===
# Makefile - GtkMagnetic Makefile
# Copyright (c) 2002 Torbjrn Andersson <d91tan@Update.UU.SE>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

########################################################################

# SOUND_SYSTEM = SMPEG
SOUND_SYSTEM = SDL_MIXER
# SOUND_SYSTEM = XMMS
# SOUND_SYSTEM = NONE

# OPTIMIZE_CFLAGS = -g
OPTIMIZE_CFLAGS = -O2 -DG_DISABLE_ASSERT

# EXTRA_CFLAGS = -DGTK_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED
EXTRA_CFLAGS =

MAGNETIC = ../Generic

#######################################################################

CC = gcc

OBJS = emu.o main.o config.o gui.o text.o graphics.o util.o hints.o

DEF_CFLAGS = -Wall `pkg-config --cflags gtk+-2.0 hildon-1 hildon-fm-2 libosso` -I$(MAGNETIC)

EMU_CFLAGS = $(DEF_CFLAGS) $(OPTIMIZE_CFLAGS) $(EXTRA_CFLAGS)
CFLAGS = $(EMU_CFLAGS) -ansi

GTK_LIBS = `pkg-config --libs gtk+-2.0 hildon-1 hildon-fm-2 libosso`

#######################################################################

# Check which sound system to use

ifeq ($(SOUND_SYSTEM),SMPEG)
	OBJS += sound_smpeg.o
	SOUND_LIBS = `sdl-config --libs` -lsmpeg
endif

ifeq ($(SOUND_SYSTEM),SDL_MIXER)
	OBJS += sound_sdlmixer.o
	SOUND_LIBS = `sdl-config --libs` -lSDL_mixer
endif

ifeq ($(SOUND_SYSTEM),XMMS)
	OBJS += sound_xmms.o
	SOUND_LIBS = `xmms-config --libs`
endif

ifeq ($(SOUND_SYSTEM), NONE)
	OBJS += sound_none.o
	SOUND_LIBS =
endif

#######################################################################

LIBS = $(GTK_LIBS) $(SOUND_LIBS)

mmagnetic: $(OBJS)
	$(CC) -o mmagnetic $(OBJS) $(LIBS)

clean:
	$(RM) mmagnetic *.o *~

emu.o:
	$(CC) -c $(EMU_CFLAGS) $(MAGNETIC)/emu.c

main.o: main.c main.h version.h config.h gui.h text.h graphics.h hints.h util.h
config.o: config.c config.h gui.h text.h graphics.h
gui.o: gui.c main.h config.h gui.h
text.o: text.c main.h config.h gui.h text.h util.h
graphics.o: graphics.c main.h config.h gui.h graphics.h sound.h
sound_none.o: sound_none.c sound.h
util.o: util.c gui.h util.h
hints.o: hints.c config.h gui.h hints.h

sound_smpeg.o: sound_smpeg.c sound.h
	$(CC) -c $(CFLAGS) `sdl-config --cflags` sound_smpeg.c

sound_sdlmixer.o: sound_sdlmixer.c sound.h
	$(CC) -c $(CFLAGS) `sdl-config --cflags` sound_sdlmixer.c

sound_xmms.o: sound_xmms.c sound.h
	$(CC) -c $(CFLAGS) `xmms-config --cflags` sound_xmms.c

=== debian/changelog ===
mmagnetic (2.3-3) diablo; urgency=low

  * Missing osso-af-settings build dependency caused wrong package creation

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 26 Feb 2009 13:11:00 +0100
 
  * Fixed packaging bugs

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 26 Feb 2009 10:40:00 +0100

  * Initial release

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 18 Feb 2009 17:12:19 +0100

=== debian/control ===
Source: mmagnetic
Section: user/games
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev, libosso-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, osso-af-settings
Standards-Version: 3.7.2

Package: mmagnetic
Architecture: any
Depends: maemo-select-menu-location, ${shlibs:Depends}, ${misc:Depends}
Description: Maemo GUI for Magnetic
 Magnetic is an interpreter for Magnetic Scroll's adventure games.
 This is a port for the Maemo platform of GtkMagnetic by Torbjörn Andersson.
 You can find more information about Magnetic and Magnetic Scroll's games at
 http://msmemorial.if-legends.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kCGBAQAq5iG1oAAAXfSURBVEjHrZZrjFVXFcd/+zzvPXMfc7n3zgNm
 6ADSlgIiWLREkzJDMD4SWsYYBYxNwSgUGxO1H0zTppEPGj/opxITE4wmgmlS
 q6nVRCM11Ugbk9L4wOmA0plhYOa+5t5z7nnec872Q4OBwjCN9v9p75Wd9c/6
 r/XfWfAuMTm+nf8H4sbLru33cu781PJkE9sXFmsdOwpjUilJEQRICkaGQl+W
 jAXlTBY1l/+677svnv71udsT7Vg/8uDAUOUPRdMg1VT8KKCS70MIDVNNCVOZ
 5jMZJWdlMDWVVKb0mSadnkBVYghTpCHlzHxL/OSlP96UW7t+OLRnx8e7Xfc3
 O7ZtlbpqiI5toxd0OkshURQShimOGyk6OlEUU3OW6NNAGALb9kgSAdLH8yWl
 nHaLGjdGcoqA6ZlZYSoKZk4jmA8JPZ/ADam1u0Shy4xUiZIEgSTuQZLExFKi
 6hqmYrJxXTm1VmkfODixndNnz99euuOTE43ZmZnylZZLN45x7B4oks3DZTxp
 UOrPMrsYcM/YKir5Ik7YRGIRJzEbRiq0nS5KkkQnX3jZvFNFKLmM3Pvgh3ir
 3uRvU03iQYWxIYvycImqlefyYp2dW/J4vR6hGzI2PIZuCYIgxTAV+rIa1+rN
 2w7STURR5DFUHJI9MSpGBtfS9D1GizpCKlztBmQwqXUjEi9gzo5wEyiYGdph
 Qlb2iHsxWp6ViVxXPl7vhmeENOjGMUt1l8AF14EwTam1bYaLFpqqMWj2MITB
 3RvLzM42SYSglMsz16iv7COA73/tYblQV2klkrtKGRpth82bBpi+uMRwNUMv
 Saj2WdhRRJ+hkSlYpG5KGPXIZhTOTf0rOnlmhR4BKDLL+7eVsesumq4zWMqR
 y+rct36AK4tNDN2gbocEfsps7GJfaNJnKXQaPuvXlakUCytLB+AkIaLpYbsx
 upEgkh6XmzqtRoOL8z5rKhZLTY9VZQVLWIwMmlKJsYfuNgplyxQ1JxSQUSFI
 birgnUSemyARXF7oEicpLSdGiVMUqbBrc5UtY3k+9kCVj24Z5YNbBxkomuLp
 U8/367oRhUmMKdA/v++BL9+i1C0BVZJXBTs3FijmTNYOFNi01mTbxiEqJZ2C
 ZWIYFn7g0+7auEEsj0/ule1Oz/zT64uIVKGckcHhyYk7SxenkspoRbZrjqi1
 l9BUnVpHQ8QBDTfA83yENAGJH0miMBDrRgtkVYVdOyv0QkEktZOnfv77U8sS
 HT84wdjq0iG70f3pq9OLbF1T5bWpq5SLKh0nwZCJVFTEUFWRWVURQleoFAZw
 wwDHi9BCiecnjA0UzTtK9+zpsyzWOnlD19m0th/FEty7xmT7hiH23L+G+7cO
 C830P6IkQsSqyVzd49WpBX71yizTlxzOTzkstLtEUgXgySOfXF66a7ZjjLg2
 itDR4hTLyjOz5BHHkkuXmtc6HsPqBoUrF65SKuYoFBR2bK4gFMmApaGoOmkS
 pyeOPtR76ge/1Jc1LMCJ4/vD6tCo8ZfX57hrJMuS61PNZLF9D9MwqeZUKaUU
 qipIU1BV0HWJ04vRE525esT7RvNcvDK/77s//u2Lt60IIHQClowW94wVKBQ0
 VucsNEPQ7wsKqywaDVcU+wzeWrDx/RgvTCFbeCanes80u87TXdc8IOJ0U6ma
 V5Ydb4B5J+ipUhJFPRAaCx0PK6ux2EnlhekWf/13gzfebDM9E0lN1yCOWc21
 b19t+PzwuVdOnHnpd/c5sk2j5i/vo8OT4/zohZdzS3bIfC3itTdqpKrBn//Z
 optIUXc730uS8EilrEdrq1LMN1tPDFaN5yPdCov9yreO7J/gsYPjPHvmrGgF
 3j9W3Fq++ejD8okvHpRPHf109yuHPtX82Xe+Kh//wt433+7hJADHDoz/4vr7
 R/eP1/6n9ejJRz4hTxz7TO8bh/aVAL40uefaIw/t/vB/PXfgbec/dmCcw/vH
 ATjyjt/gXeHoZ8flsc/t/vuNCY5MTgjeaxzeP7H7+m/xXuA/uLKtgSaZa9wA
 AAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f

package=mmagnetic

build:
	$(checkdir)
	(cd src ; $(MAKE) EXTRA_CFLAGS="-g -Wall" SOUND_SYSTEM="SDL_MIXER")
	touch build

clean:
	$(checkdir)
	rm -f build
	-(cd src ; $(MAKE) clean)
	rm -f `find . -name "*~"`
	rm -rf debian/$(package) debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/$(package)
	install -d debian/$(package)
	cd debian/$(package) && install -d usr/bin
#	$(MAKE) install DESTDIR=`pwd`/debian/$(package)
	install -m 755 src/mmagnetic `pwd`/debian/$(package)/usr/bin/mmagnetic
	install -d `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=dbusservicedir`
	install -m 664 data/mmagnetic.service `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=dbusservicedir`/mmagnetic.service
	install -d `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=desktopentrydir`
	install -m 664 data/mmagnetic.desktop `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=desktopentrydir`/mmagnetic.desktop
	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/26x26/hildon
	install -m 664 data/mmagnetic26.png `pwd`/debian/$(package)/usr/share/icons/hicolor/26x26/hildon/mmagnetic.png	
	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/40x40/hildon
	install -m 664 data/mmagnetic40.png `pwd`/debian/$(package)/usr/share/icons/hicolor/40x40/hildon/mmagnetic.png
	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/64x64/hildon
	install -m 664 data/mmagnetic64.png `pwd`/debian/$(package)/usr/share/icons/hicolor/64x64/hildon/mmagnetic.png

# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
#	debstd 
#	dpkg-gencontrol -isp -Pdebian/$(package)
#	chown -R root:root debian/$(package)
#	chmod -R go=rX debian/$(package)
#	dpkg --build debian/$(package) ..
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## mmagnetic 2.3-4

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile - GtkMagnetic Makefile
-# Copyright (c) 2002 Torbjrn Andersson <d91tan@Update.UU.SE>
+# Copyright (c) 2002 Torbj�rn Andersson <d91tan@Update.UU.SE>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
mmagnetic (2.3-4) fremantle; urgency=low

  * Initial port to Maemo 5 (Fremantle)

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 19 Jan 2010 16:38:00 +0100

mmagnetic (2.3-2) diablo; urgency=low 

  * Fixed packaging bugs

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 26 Feb 2009 10:40:00 +0100

mmagnetic (2.3-1) diablo; urgency=low

  * Initial release

 -- Luca Donaggio <donaggio@gmail.com>  Wed, 18 Feb 2009 17:12:19 +0100

=== debian/control ===
Source: mmagnetic
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=904
XB-Maemo-Display-Name: MMagnetic
Section: user/games
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev, libosso-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, osso-af-settings
Standards-Version: 3.7.2

Package: mmagnetic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maemo GUI for Magnetic
 Magnetic is an interpreter for Magnetic Scroll's adventure games.
 This is a port for the Maemo platform of GtkMagnetic by Torbjörn Andersson.
 You can find more information about Magnetic and Magnetic Scroll's games at
 http://msmemorial.if-legends.org
XSBC-Maemo-Upgrade-Description: Maemo GUI for Magnetic Scroll's adventures.
 Magnetic is an interpreter for Magnetic Scroll's adventure games.
 This is a port for the Maemo 5 platform of GtkMagnetic by Torbjörn Andersson.
 You can find more information about Magnetic and Magnetic Scroll's games at
 http://msmemorial.if-legends.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBEw8VOvpYPLMAAAf6SURBVGje7ZhbjF1lFYC/f1/O3vvscz9zO9OZ
 Dp2W0hEp9QaiEtpJjOI1BQ0WIw9FqRYSeDAC0QeBeCMxmAYQgRYTtRBUiiGA
 JjIDPAg01TKGBqHttJ127nPuZ1/O2ZffB8T4ZDLTdJ7me94rWd/ea+21/h/W
 WGONNdZYY43z5+brRlcUJ5YbcNWHRnjt6Nv//6FPbhPXm8pPzp4re2EYEUsJ
 ElxAjVRyRR1bSWIkJXnDRE+nq08cGt+363Mf58kXXr+wAgBXbBvZEznOD2zL
 ijoypu56DBaSSGkSIynaQvNhXdFOowqFrrSBqkJbEeRsm2Y7xtBBRKBqgnLN
 Z7Zevf3pPx/et9xctOUGfOYjl1ydMI1HPnHNR6UlhIg0BQjREwZBGJDVEyw0
 HcpLPpomyeUtTky7pKRgsVnH8UNOnW3S22MgPQ8MQb3hkVLV4kpe5rIFCmnz
 VUVLSF1PisWqg6K2USyF2uwSkQwRnZDJ2TpRFJM2Je0TMU2vgSIFESFnowg/
 kCyUYxJqjGnaslgwhEB/flUEACq1Bq++/g+E0iaUCm23jeO0AHAdj1YYoYYB
 upZETUAoVWxDx/djTFNQb3t0p/NImWBdV1KEKS/z22ePNnft2MaT429euB7Y
 tWMbl2zZkjs3NVWtLC1yaqFJoxPgehLbBFM16O/tIowVMukEZ+Z8Ng/lSRk2
 kXCwBHQ0k+qSx2UjvdTqLaJ2hwefGRMr/XstO/C2b1y7vitjn0nJiMmlBsdP
 1ehIwebeLGpWIasXKBY13jm9yFBPHqcT0Kw79GZtUukEbhxiKSqhkASdmMVK
 lX1PvbRigWWXULvjkYg1SqV1dPQs60uD1HyfjK4w1GdTafosOjFpy6TqRUSu
 z1wzIKCN5nRImQYn6w4pNSYMQxIpcV7zY9kCvivDhkWsybZSKiRptANqDR9h
 xhx+e5H5chvTlCwu+limgqIILBnSciIKlo60BFldUvbalIoZOnFrdQV+89wr
 M/fu/cLdtXbws7dO1uloYKuSd6ZChksJWp5ONqWSy+gU0yaWaoDo4DoxpfUF
 rISKV/eIFYGpw9GTzdUVAIjdjmWkBRdv6qJaddEUidusMDDQTzbbQcaSMGwj
 gaQiUU2TQkqn5Xm4DhhSMrPk05WxMExj9QUiw4RkkrylYsY6lmUyXMoREGPb
 Fk6lyUKljZlIUAkDmo0mmq0w8a95hnrzUtMR7UZbJi7WRN60/rsL7X9mbNm5
 qCsRuPyyoe2Wpm9vOlDxAs7MNWg6bd4+02B+ocrhY3MEUtBqR8zPNchkFZKa
 yXCPLQe7TZFLq/f39aU+lTYSRCKgr7tn/td/evnISnJRVhKk+gpeO0BRJKen
 W3Tlk8RIevNJSj02G/vzXDqcZ+t6m9GPdfHBi4psHMgw0JcVlqXef9eDf7xT
 UVWkiNEipKKI76+0hFYk0IocskmLjCa44pIsaVsnn06xsc9gXd5mZLiblCGw
 kyaqlsQPA1oth2bkylrF/97NO0dlrRbKV4/M0e5IUbAIAXZft2N1ekARwvJi
 SX9/gUa1RcV1MPUENT8moUgiKXEDmK+UMRQTvxMSIzhXcUTBVOjNZ1FlID68
 NY8uDCKpFr7+xWuuPPDM+Bur0gN/P3bmpc9fM/JN20hnJs6U6bHTHHm3TKvd
 4djxBvMVh5nZJrqaQGgSFYkUcHEpxYbBArauoCY1UoZKJAQ5K2FIwpnXJk6+
 vCpfAJBCWuHMUhXfD2kGAUlT0mPqrNuSpydnyamZiqg2ymf70t2D+YKN6/uY
 RpKpuRadCLQgYE5K6nWPzYMFelN2uKJ+XGnzbN2y7o6RwYGcbSlkbYOCrdNV
 tMllbaSiiiAMX7nn8ecuv3zL5h8eP+dxasHhzLTL1EKDKIoJI9CEIJdPkExq
 1B3funLr0NN/m5jsXPATGcB3vrajsm3z+lwgUkJ2AianK1i6zsxSgKZ5TE25
 la5uvXbpptLwidOzFDIW/UULoUEYC3zfJ5vQUTUNgZRRLEXGsgrH5+eqP9r/
 4oUVuPXGUR46OMaPb7te5ntKvPnWHP1Fk1gPAJWcFNTaPpZpktZjFEUhjmMM
 U9BqxVgmMhJC+DKUoqOIckuSEFoc0VTuefQ5ccF74KGD701M32lTq9bYUEqS
 yeho0iBtaTRbHayMRiqdoLzkkDRV5ss+UT2i6oaEQSSMbP6neuzeVW61Hohj
 UxEd7faLBszVmQPvs+i0UZEyCEIShkHTC3DdkFzOZL4ccOJ0nXenaxw5VmHi
 uE/LU0joBk6rwc8fP3j37JJHFCi/2P+Hv9xh2N6jtYa3egK7d+7gqpFSfqnm
 Cr8TMTPrcGLa44Wjsxw+3pBzjZD52tK063mnc1m1MdSlcK5akX5QP7lpuDe+
 Z/e1sthj3HXg0PjUrTeO8tCTY3vKjjexagIHDo0zebaSMTWVuVqM0AVx5HLZ
 hhwfGMwJzXDf+OVTYwNPPDu+oTtnXG3ZEfk8e/Yd/Osmxfe+veiFuC13/P2S
 vPm6UZ44NL5tuRdc51VCbidmbsmhYGsy9FqNX/3+eeE2Go13J6dw6s4YwH17
 d/LdB57+50LLHXz4dy8/dudNn+bu/S8+1vLCwUeeeuXw3l3vrQ/vb6Ir2UhX
 zO03bF9/7y2flfft/bIEuPOmL4n/lNfE+VwXrhq3fHX0om99ZYfcc8P2R/63
 N1Yz+fM6Ue/eOaqCHJqZYXJ4o+Dhg2OsscYaa6yxxhrL4N/EBqzveQns8gAA
 AABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,17 @@
 #	$(MAKE) install DESTDIR=`pwd`/debian/$(package)
 	install -m 755 src/mmagnetic `pwd`/debian/$(package)/usr/bin/mmagnetic
 	install -d `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=dbusservicedir`
-	install -m 664 data/mmagnetic.service `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=dbusservicedir`/mmagnetic.service
+	install -m 664 data/com.nokia.mmagnetic.service `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=dbusservicedir`/com.nokia.mmagnetic.service
 	install -d `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=desktopentrydir`
 	install -m 664 data/mmagnetic.desktop `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=desktopentrydir`/mmagnetic.desktop
+	install -d `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=hildonpixmapdir`
+	install -m 664 data/mmagnetic64.png `pwd`/debian/$(package)`pkg-config osso-af-settings --variable=hildonpixmapdir`/mmagnetic.png
 	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/26x26/hildon
 	install -m 664 data/mmagnetic26.png `pwd`/debian/$(package)/usr/share/icons/hicolor/26x26/hildon/mmagnetic.png	
 	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/40x40/hildon
 	install -m 664 data/mmagnetic40.png `pwd`/debian/$(package)/usr/share/icons/hicolor/40x40/hildon/mmagnetic.png
+	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/48x48/hildon
+	install -m 664 data/mmagnetic48.png `pwd`/debian/$(package)/usr/share/icons/hicolor/48x48/hildon/mmagnetic.png
 	install -d `pwd`/debian/$(package)/usr/share/icons/hicolor/64x64/hildon
 	install -m 664 data/mmagnetic64.png `pwd`/debian/$(package)/usr/share/icons/hicolor/64x64/hildon/mmagnetic.png
